package com.yunzhi.niucai.service;

import com.yunzhi.niucai.entity.TaOrder;
import com.yunzhi.niucai.entity.TaOrderPay;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDateTime;

/**
 * <p>
 * 订单支付  服务类
 * </p>
 *
 * @author yansen
 * @since 2020-10-08
 */
public interface ITaOrderPayService extends IService<TaOrderPay> {

    TaOrderPay createdBy(TaOrder taOrder, String payClient, String tradeType) throws Exception;

    void updatePayResult(String tradeNO, LocalDateTime payTime, String payResult, String failReason) throws Exception;

    TaOrderPay getByTradeNo(String tradeNO);
}
